@keyframes blink { 0% { opacity: 1; } 50% { opacity: 0.3; } 100% { opacity: 1; } }
@-webkit-keyframes blink { 0% { opacity: 1; } 50% { opacity: 0.3; } 100% { opacity: 1; } }
.qchat-no-select { user-select: none; }
.qchat-icon {
  top: 260px;
  right: 0;
  position: fixed;
  z-index: 998;
  background: url('/assets/qchat-icon.png') 0% 0% / 100% no-repeat;
  width: 100px;
  height: 167px;
  cursor: pointer;
  display: none;
}
.qchat-subtitle { margin-top: 135px; height: 32px; text-align: center; line-height: 32px; background-color: #175DFF; color: #fff; font-size: 0.96rem; border-radius:0.3rem; }
.qchat-new-message { margin-top: 135px; height: 32px; text-align: center; line-height: 32px; background-color: #00AF83; color: #fff; font-size: 0.96rem; border-radius:0.3rem; animation: blink 0.6s infinite; -webkit-animation: blink 0.6s infinite; }
.qchat-container {
  width: 680px;
  height: 500px;
  top: calc((100% - 680px) / 2);
  left: calc((100% - 576px) / 2);
  position: fixed;
  z-index: 999;
  display: none;
}
.qchat-box {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  border-radius: 8px;
  box-shadow: 0 0 24px 0 rgba(20,70,80,.25);
  background-color: #ffffff;
}
.qchat-header {
  height: 50px;
  border-radius: 8px 8px 0 0;
  flex: none;
  cursor: move;
  background-color: #175DFF;
}
.qchat-header-content {
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0 13px;
}
.qchat-title { color: #FFFFFF; font-size: 1.1rem; margin-left: 6px; }
.qchat-toolbar {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.qchat-min { padding: 13px; cursor: pointer; }
.qchat-toolbar i { font-size: 20px; color: #fff; }
.qchat-body, .qchat-users {
  width: 100%;
  z-index: 2;
  overflow-y: auto;
  height: 340px;
  padding: 0;
  background-color: #fff;
  margin-bottom: 10px;
}
.qchat-body .qchat-messages {
  padding: 10px 15px; list-style: none;
}
.qchat-body .qchat-messages li { margin:0;clear:both; }
.qchat-mess-outer { margin: 8px 0 10px; width: 100%;    }
.qchat-me .qchat-mess-outer, .qchat-me .qchat-avatar, .qchat-me .qchat-messbox { float: right; }
.qchat-se .qchat-mess-outer, .qchat-se .qchat-avatar, .qchat-se .qchat-messbox { float: left; }
.qchat-avatar {
  display: block;
  width: 32px;
  height: 32px;
  border-radius: 50%;
  margin:5px 0 0;
  position: relative;
}
.qchat-avatar img { border-radius: 50%; background-color: #f9f9fb; }
.qchat-avatar span { position: absolute; top:28px;left:28px; border-radius:50%; background-color:transparent; transform: translate(-50%, -50%); display: block; width: 12px; height: 12px; }
.qchat-avatar span.online { background-color:#07c160; border: 2px solid #fff; }
.qchat-avatar span.offline { background-color:#d0d0d5; border: 2px solid #fff; }
.qchat-me .qchat-messbox {margin-right: 10px; }
.qchat-se .qchat-messbox {margin-left: 10px; }
.qchat-messbox {
  display: block;
  min-width: 40px;
  width: calc(100% - 83px);
}
.qchat-me .qchat-text { float: right; border-radius: 0.5rem 0 0.5rem 0.5rem; text-align: left;}
.qchat-se .qchat-text { float: left; border-radius: 0 0.5rem 0.5rem 0.5rem; text-align: left; }
.qchat-text {
  text-align: left;
  word-break: break-all;
  line-height: 1.25rem;
  font-size: 0.95rem;
  padding: 0.625rem 0.75rem;
  min-width: 40px;
  width: auto;
}
.qchat-writing { font-style: normal; padding: 0 0.5rem; font-size: 1.2rem; animation: blink 0.6s infinite; -webkit-animation: blink 0.6s infinite; }
.qchat-me .qchat-text { background: #94c2ed; color: #fff; }
.qchat-se .qchat-text { background: #86bb71; color: #fff; }
.qchat-error .qchat-text { background: rgba(255,193,7, 1); color: #000; }
.qchat-replying .qchat-text { background-color: #eeeef0; color:rgba(33, 37, 41, 0.75); }
.qchat-me .qchat-stime { text-align: right; }
.qchat-se .qchat-stime { text-align: left; }
.qchat-stime {
  color: #999;
  font-size: 0.8rem;
  margin-bottom: 0;
}
.qchat-stime em { font-style: normal;margin-left: 10px; }
.qchat-footer {
  height: 100px;
  border-radius: 0 0 8px 8px;
  flex: none;
  border-top: 1px solid #e8e8e8;
  background-color: #fff;
}
.qchat-footer-input {
  width: 100%;
  height: 41px;
}
.qchat-footer-input textarea {
  border: 0;
  border-radius: 5px;
  color: #242e33;
  display: block;
  font-size: 0.95rem;
  line-height: 20px;
  outline: none;
  margin-top: 15px;
  padding: 0 15px;
  resize: none;
  width: 100%;
  height: 41px;
  max-height: 41px;
  word-break: break-word;
}
.qchat-footer-btn {
  width: 100%;
  height: 32px;
  text-align: right;
  padding-right: 15px;
}
.qchat-footer-btn button {
  height: 32px;
  cursor: pointer;
  border: none;
  outline: none;
  font-size: 14px;
  border-radius: 0.1875rem;
  width: 68px;
  color: #fff;
  background-color: #175DFF;
}
.qchat-footer-btn button:hover { background-color: #1553d6; }

@media (max-width: 679px) {
  .qchat-container {
    width: 100%;
    height: 480px;
    top: calc((100% - 480px) / 2);
    left: 0;
  }
  .qchat-body {
    height: 320px;
  }
  .qchat-icon {
    width: 60px;
    height: 107px;
  }
  .qchat-subtitle { margin-top: 81px; height: 26px; line-height: 26px; font-size: 0.8rem; }
}